=== debian/control ===
Source: texlive-extra
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>
Build-Depends: debhelper (>= 9), dh-strip-nondeterminism
Build-Depends-Indep: sharutils, tex-common (>= 6), findutils (>=4.2.0), default-jdk
Standards-Version: 4.1.3
Homepage: http://www.tug.org/texlive/

Package: texlive-bibtex-extra
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, texlive-base (>= 2017.20170628), texlive-binaries (>= 2017.20170524.44437), texlive-latex-base (>= 2017.20170628)
Conflicts: biblatex, biblatex-dw, logreq
Replaces: texlive-luatex (<< 2017.20171022)
Breaks: biber (<< 2.9), texlive-base (<< 2017.20170628), texlive-luatex (<< 2017.20171022)
Description: TeX Live: BibTeX additional styles
 Additional BibTeX styles and bibliography data(bases), notably including 
 BibLaTeX.
 .
 This package includes the following CTAN packages:
 .
 aichej -- Bibliography style file for the AIChE Journal
 .
 ajl -- BibTeX style for AJL
 .
 amsrefs -- A LaTeX-based replacement for BibTeX
 .
 apacite -- Citation style following the rules of the APA
 .
 apalike2 -- Bibliography style that approaches APA requirements
 .
 archaeologie -- A citation-style which covers rules of the German
 Archaeological Institute
 .
 beebe -- A collection of bibliographies
 .
 besjournals -- Bibliographies suitable for British Ecological Society
 journals
 .
 bestpapers -- A BibTeX package to produce lists of authors' best papers
 .
 bib2gls -- Command line application to convert .bib files to
 glossaries-extra.sty resource files
 .
 bibarts -- "Arts"-style bibliographical information
 .
 bibexport -- Extract a BibTeX file based on a .aux file
 .
 bibhtml -- BibTeX support for HTML files
 .
 biblatex -- Sophisticated Bibliographies in LaTeX
 .
 biblatex-abnt -- BibLaTeX style for Brazil's ABNT rules
 .
 biblatex-anonymous -- A tool to manage anonymous work with BibLaTeX
 .
 biblatex-apa -- BibLaTeX citation and reference style for APA
 .
 biblatex-archaeology -- A collection of BibLaTeX styles for German
 prehistory
 .
 biblatex-arthistory-bonn -- BibLaTeX citation style covers the citation and
 bibliography guidelines for art historians
 .
 biblatex-bookinarticle -- Manage book edited in article
 .
 biblatex-bookinother -- Manage book edited in other entry type
 .
 biblatex-bwl -- BibLaTeX citations for FU Berlin
 .
 biblatex-caspervector -- A simple citation style for Chinese users
 .
 biblatex-chem -- A set of BibLaTeX implementations of chemistry-related
 bibliography styles
 .
 biblatex-chicago -- Chicago style files for BibLaTeX
 .
 biblatex-claves -- A tool to manage claves of old litterature with BibLaTeX
 .
 biblatex-dw -- Humanities styles for BibLaTeX
 .
 biblatex-enc -- BibLaTeX style for the Ecole nationale des chartes (Paris)
 .
 biblatex-fiwi -- BibLaTeX styles for use in German humanities
 .
 biblatex-gb7714-2015 -- A BibLaTeX implementation of the GBT7714-2015
 bibliography style for Chinese users
 .
 biblatex-gost -- BibLaTeX support for GOST standard bibliographies
 .
 biblatex-historian -- A BibLaTeX style
 .
 biblatex-ieee -- IEEE style files for BibLaTeX
 .
 biblatex-ijsra -- BibLaTeX style for the International Journal of Student
 Research in Archaeology
 .
 biblatex-iso690 -- BibLaTeX style for ISO 690 standard
 .
 biblatex-juradiss -- BibLaTeX stylefiles for German law thesis
 .
 biblatex-lni -- LNI style for BibLaTeX
 .
 biblatex-luh-ipw -- BibLaTeX styles for social sciences
 .
 biblatex-manuscripts-philology -- Manage classical manuscripts with BibLaTeX
 .
 biblatex-mla -- MLA style files for BibLaTeX
 .
 biblatex-morenames -- New names for standard BibLaTeX entry type
 .
 biblatex-multiple-dm -- Load multiple datamodels in BibLaTeX
 .
 biblatex-musuos -- A BibLaTeX style for citations in musuos.cls
 .
 biblatex-nature -- BibLaTeX support for Nature
 .
 biblatex-nejm -- BibLaTeX style for the New England Journal of Medicine
 (NEJM)
 .
 biblatex-nottsclassic -- Citation style for the University of Nottingham
 .
 biblatex-opcit-booktitle -- Use op. cit. for the booktitle of a subentry
 .
 biblatex-oxref -- BibLaTeX styles inspired by the Oxford Guide to Style
 .
 biblatex-philosophy -- Styles for using BibLaTeX for work in philosophy
 .
 biblatex-phys -- A BibLaTeX implementation of the AIP and APS bibliography
 style
 .
 biblatex-publist -- BibLaTeX bibliography support for publication lists
 .
 biblatex-realauthor -- Indicate the real author of a work
 .
 biblatex-sbl -- Society of Biblical Literature (SBL) style files for
 BibLaTeX
 .
 biblatex-science -- BibLaTeX implementation of the Science bibliography
 style
 .
 biblatex-shortfields -- Use short forms of fields with BibLaTeX
 .
 biblatex-source-division -- References by "division" in classical sources
 .
 biblatex-subseries -- Manages subseries with BibLaTeX
 .
 biblatex-swiss-legal -- Bibliography and citation styles following Swiss
 legal practice
 .
 biblatex-trad -- "Traditional" BibTeX styles with BibLaTeX
 .
 biblatex-true-citepages-omit -- Correction of some limitation of the
 citepages=omit option of BibLaTeX styles
 .
 biblist -- Print a BibTeX database
 .
 bibtexperllibs -- BibTeX Perl Libraries
 .
 bibtopic -- Include multiple bibliographies in a document
 .
 bibtopicprefix -- Prefix references to bibliographies produced by bibtopic
 .
 bibunits -- Multiple bibliographies in one document
 .
 biolett-bst -- A BibTeX style for the journal "Biology Letters"
 .
 bookdb -- A BibTeX style file for cataloguing a home library
 .
 breakcites -- Ensure that multiple citations may break at line end
 .
 cell -- Bibliography style for Cell
 .
 chbibref -- Change the Bibliography/References title
 .
 chicago -- A "Chicago" bibliography style
 .
 chicago-annote -- Chicago-based annotated BibTeX style
 .
 chembst -- A collection of BibTeX files for chemistry journals
 .
 chscite -- Bibliography style for Chalmers University of Technology
 .
 citeall -- Cite all entries of a bbl created with BibLaTeX
 .
 collref -- Collect blocks of references into a single reference
 .
 compactbib -- Multiple thebibliography environments
 .
 crossrefware -- Scripts for working with crossref.org
 .
 custom-bib -- Customised BibTeX styles
 .
 din1505 -- Bibliography styles for German texts
 .
 dk-bib -- Danish variants of standard BibTeX styles
 .
 doipubmed -- Special commands for use in bibliographies
 .
 ecobiblatex -- Global Ecology and Biogeography BibLaTeX styles for the Biber
 backend
 .
 economic -- BibTeX support for submitting to Economics journals
 .
 fbs -- BibTeX style for Frontiers in Bioscience
 .
 figbib -- Organize figure databases with BibTeX
 .
 footbib -- Bibliographic references as footnotes
 .
 francais-bst -- Bibliographies conforming to French typographic standards
 .
 geschichtsfrkl -- BibLaTeX style for historians
 .
 harvard -- Harvard citation package for use with LaTeX 2e
 .
 harvmac -- Macros for scientific articles
 .
 historische-zeitschrift -- BibLaTeX style for the journal 'Historische
 Zeitschrift'
 .
 ietfbibs -- Generate BibTeX entries for various IETF index files
 .
 ijqc -- BibTeX style file for the Intl. J. Quantum Chem
 .
 inlinebib -- Citations in footnotes
 .
 iopart-num -- Numeric citation style for IOP journals
 .
 jneurosci -- BibTeX style for the Journal of Neuroscience
 .
 jurabib -- Extended BibTeX citation support for the humanities and legal
 texts
 .
 ksfh_nat -- BibTeX style for KSFH Munich
 .
 ltb2bib -- converts amsrefs' .ltb bibliographical databases to BibTeX format
 .
 listbib -- Lists contents of BibTeX files
 .
 logreq -- Support for automation of the LaTeX workflow
 .
 luabibentry -- Repeat BibTeX entries in a LuaLaTeX document body
 .
 margbib -- Display bibitem tags in the margins
 .
 multibib -- Multiple bibliographies within one document
 .
 multibibliography -- Multiple versions of a bibliography, with different
 sort orders
 .
 munich -- An alternative authordate bibliography style
 .
 nar -- BibTeX style for Nucleic Acid Research
 .
 nmbib -- Multiple versions of a bibliography, with different sort orders
 .
 notes2bib -- Integrating notes into the bibliography
 .
 notex-bst -- A BibTeX style that outputs HTML
 .
 oscola -- BibLaTeX style for the Oxford Standard for the Citation of Legal
 Authorities
 .
 perception -- BibTeX style for the journal Perception
 .
 pnas2009 -- BibTeX style for PNAS (newer version)
 .
 rsc -- BibTeX style for use with RSC journals
 .
 showtags -- Print the tags of bibliography entries
 .
 sort-by-letters -- Bibliography styles for alphabetic sorting
 .
 splitbib -- Split and reorder your bibliography
 .
 turabian-formatting -- Formatting based on Turabian's Manual
 .
 uni-wtal-ger -- Citation style for literary studies at the University of
 Wuppertal
 .
 uni-wtal-lin -- Citation style for linguistic studies at the University of
 Wuppertal
 .
 urlbst -- Web support for BibTeX
 .
 usebib -- A simple bibliography processor
 .
 vak -- BibTeX style for Russian Theses, books, etc
 .
 xcite -- Use citation keys from a different document

Package: texlive-extra-utils
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libunicode-linebreak-perl, python, texlive-base (>= 2017.20170628), texlive-base (>= 2017.20170628), texlive-binaries (>= 2017.20170524.44437), texlive-latex-base (>= 2017.20170628)
Recommends: ghostscript, libfile-homedir-perl, libyaml-tiny-perl, ruby | ruby-interpreter, texlive-latex-recommended
Suggests: chktex, dvidvi, dvipng, fragmaster, lacheck, latexdiff, latexmk, purifyeps, xindy
Breaks: texlive-base (<< 2017.20170628)
Description: TeX Live: TeX auxiliary programs
 Various useful, but non-essential, support programs. Includes programs and 
 macros for DVI file manipulation, literate programming, patgen, and the TeX 
 Works Editor.
 .
 This package includes the following CTAN packages:
 .
 a2ping -- Advanced PS, PDF, EPS converter
 .
 adhocfilelist -- '\listfiles' entries from the command line
 .
 arara -- Automation of LaTeX compilation
 .
 bibtex8 -- A fully 8-bit adaptation of BibTeX 0.99
 .
 bibtexu -- BibTeX variant supporting Unicode (UTF-8)
 .
 bundledoc -- Bundle together all the files needed to build a LaTeX document
 .
 checklistings -- Pass verbatim contents through a compiler and reincorporate
 the resulting output
 .
 ctan-o-mat -- Upload or validate a package for CTAN
 .
 ctan_chk -- CTAN guidelines verifier and corrector for uploading projects
 .
 ctanify -- Prepare a package for upload to CTAN
 .
 ctanupload -- Support for users uploading to CTAN
 .
 ctie -- C version of tie (merging Web change files)
 .
 cweb -- A Web system in C
 .
 de-macro -- Expand private macros in a document
 .
 detex -- Strip TeX from a source file
 .
 dtl -- Tools to dis-assemble and re-assemble DVI files
 .
 dtxgen -- Creates a template for a self-extracting .dtx file
 .
 dvi2tty -- Produce ASCII from DVI
 .
 dviasm -- A utility for editing DVI files
 .
 dvicopy -- Copy DVI files, flattening VFs
 .
 dviinfox -- Perl script to print DVI meta information
 .
 dviljk -- DVI to Laserjet output
 .
 dvipos -- support DVI pos: specials used by ConTeXt DVI output
 .
 dvisvgm -- Convert DVI files to Scalable Vector Graphics format (SVG)
 .
 findhyph -- Find hyphenated words in a document
 .
 hook-pre-commit-pkg -- Pre-commit git hook for LaTeX package developpers
 .
 hyphenex -- US English hyphenation exceptions file
 .
 installfont -- A bash script for installing a LaTeX font family
 .
 latex-git-log -- Typeset git log information
 .
 latex-papersize -- Calculate LaTeX settings for any font and paper size
 .
 latex2man -- Translate LaTeX-based manual pages into Unix man format
 .
 latex2nemeth -- Convert LaTeX source to Braille with math in Nemeth
 .
 latexfileversion -- Prints the version and date of a LaTeX class or style
 file
 .
 latexpand -- Expand \input and \include in a LaTeX document
 .
